%define major 1
%define libname %mklibname openobex %{major}
%define develname %mklibname openobex -d

Summary: 	Library for using OBEX
Name: 		openobex
Version: 	1.5
Release: 	%mkrel 9
License: 	LGPL
Group: 		System/Libraries
URL:		http://openobex.sourceforge.net/
Source: 	http://www.kernel.org/pub/linux/bluetooth/openobex-%{version}.tar.gz
Patch1:		openobex-1.5-automake-1.13.patch
BuildRequires:	bluez-devel
BuildRequires:	libusb-devel

%description
Open OBEX shared c-library

%package -n %{libname}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %version-%release
Provides: %{name} = %version-%release
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname}
Open OBEX shared c-library

%package -n %{develname}
Summary: Library for using OBEX
Group: Development/C
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel  = %version-%release
Requires: %{libname} = %{version}
Requires:   bluez-devel
Conflicts: %{_lib}%{name}1.3-devel
Conflicts: %{_lib}%{name}1.2-devel
Conflicts: %{_lib}%{name}1.1-devel
Obsoletes: %{_lib}%{name}1-devel

%description -n %{develname}
Open OBEX shared c-library

%package apps
Summary: Apps that come with the Open OBEX c-library
Group: Communications/Mobile

%description apps
These are the apps that come with the Open OBEX c-library. These are
not meant to be more than test-programs to look at if you want to see
how use the library itself.

%package ircp
Summary: Used to "beam" files or whole directories
Group: Communications/Mobile
Obsoletes: ircp
Provides: ircp

%description ircp
Ircp is used to "beam" files or whole directories to/from Linux, Windows.

%prep

%setup -q
%patch1 -p1 -b .automake-1_13

%build
autoreconf -fis
%configure \
	--enable-apps
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# since our old packages will look for headers in /usr/include
ln -s openobex/obex.h %{buildroot}/%_includedir/obex.h
ln -s openobex/obex_const.h %{buildroot}/%_includedir/obex_const.h

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libopenobex.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/openobex.pc
%{_includedir}/*
%{_libdir}/*a
%{_libdir}/lib*.so

%files apps
%defattr(-, root, root)
%{_bindir}/irobex_palm3
%{_bindir}/irxfer
%{_bindir}/obex_tcp
%{_bindir}/obex_test

%files ircp
%defattr(-, root, root)
%{_bindir}/ircp


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 362053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.5-8.mga3
+ Revision: 339690
- patch1: fix build with automake 1.13

* Wed Oct 03 2012 malo <malo> 1.5-7.mga3
+ Revision: 302622
- update RPM group

* Sun Feb 06 2011 ahmad <ahmad> 1.5-6.mga1
+ Revision: 47670
- drop old/unneeded scriptlets
- drop two ununsed patches
- imported package openobex

